TSCACHEREMOVE(3ts)

NAME
TSCacheRemove - removes the object corresponding to key from the cache

SYNOPSIS

#include <ts/ts.h>

    TSAction TSCacheRemove(TSCont contp, TSCacheKey key)

DESCRIPTION

If the object was removed successfully, the cache calls contp back with the event TS_EVENT_CACHE_REMOVE. If the object was not found in the cache, the cache calls contp back with the event TS_EVENT_CACHE_REMOVE_FAILED.

In both of these callbacks, the user (contp) does not have to do anything. The user does not get any vconnection from the cache, since no data needs to be transferred. When the cache calls contp back with TS_EVENT_CACHE_REMOVE, the remove has already been commited.

COPYRIGHT
2014, dev@trafficserver.apache.org